Subject: [lamps] WG: New Version Notification for draft-brockhaus-lamps-industrial-cmp-profile-00.txt

From: "[email-masked]" <[email-masked]>
Date: Tue, 12 Mar 2019 11:31:28 +0000

Hallo 

Yesterday I submitted the initial draft on the lightweight industrial CMP profile I announced some weeks ago. At IETF 104 we want to introduce the draft during the LAMPS WG meeting.

The main purpose of this draft is to ease the use of CMP in industrial and IoT use cases. Due to the complexity of RFC4210 and RFC4211 the draft specifies a concrete and more lightweight profile of CMP. Following standardization of industrial CMP profiles by 3GPP and UNISIG that already exist, the draft strives for standardization of a more general purpose industrial CMP profile focussing on automating certificate management in m2m and IoT environments. 

If there are any feedback or comments to the draft in advance to the meeting, feel free to contact me.

- Hendrik

-----Ursprüngliche Nachricht-----
Von: [email-masked] <[email-masked]> 
Gesendet: Montag, 11. März 2019 12:27
An: Fries, Steffen (CT RDA ITS) <[email-masked]>; Brockhaus, Hendrik (CT RDA ITS SEA-DE) <[email-masked]>; von Oheimb, David (CT RDA ITS SEA-DE) <[email-masked]>
Betreff: New Version Notification for draft-brockhaus-lamps-industrial-cmp-profile-00.txt

A new version of I-D, draft-brockhaus-lamps-industrial-cmp-profile-00.txt
has been successfully submitted by Hendrik Brockhaus and posted to the IETF repository.

Name:		draft-brockhaus-lamps-industrial-cmp-profile
Revision:	00
Title:		Lightweight Industrial CMP Profile
Document date:	2019-03-11
Group:		Individual Submission
Pages:		41
URL:            https://www.ietf.org/internet-drafts/draft-brockhaus-lamps-industrial-cmp-profile-00.txt
Status:         https://datatracker.ietf.org/doc/draft-brockhaus-lamps-industrial-cmp-profile/
Htmlized:       https://tools.ietf.org/html/draft-brockhaus-lamps-industrial-cmp-profile-00
Htmlized:       https://datatracker.ietf.org/doc/html/draft-brockhaus-lamps-industrial-cmp-profile

Abstract:
   The goal of this document is to facilitate interoperability and
   automation by profiling the Certificate Management Protocol (CMP)
   [RFC4210] and the related Certificate Request Message Format (CRMF)
   [RFC4211].  It specifies a subset of CMP and CRMF focusing on typical
   uses cases relevant for managing certificates of devices in
   industrial and IoT scenarios.  To limit the overhead of certificate
   management for constrained devices only the most crucial types of
   transactions are specified as mandatory.  To foster interoperability
   also in more complex scenarios, other types of transactions are
   specified as recommended or optional.

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

The IETF Secretariat

---

From: Sean Turner <[email-masked]>
Date: Wed, 13 Mar 2019 21:05:24 -0400

Hendrik,

Because this is aimed at "IoT scenarios” I guess I am confused as to how this relates to https://datatracker.ietf.org/doc/draft-ietf-ace-coap-est/, which is also aimed at constrained environments and completed WGLC in the ACE WG in January.

How does this draft update RFC4210?

spt

> On Mar 12, 2019, at 07:31, [email-masked] wrote:
> 
> Hallo 
> 
> _______________________________________________
> Spasm mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/spasm

---

From: "Brockhaus, Hendrik" <[email-masked]>
Date: Thu, 14 Mar 2019 07:47:34 +0000

Sean

Thank you for your feedback and questions.

This draft focusses on CMP applicability by specifying CMP message exchange more precisely and focused on industrial scenarios to get interoperable implementation. It not only focusses on EE-RA communication but also to communication between LRA-RA-CA in the PKI backend.
The area of applicability is supposed to be much wider than IoT. As mentioned CMP is already in use in 3GPP and UNISIG. Theses profiles could also be covered by this draft in the future.
Therefore I see the profile laid out in this draft as update to the RFC4210, as it extends the already existing profiles in Appendix D and E to the industrial arena. Next to a more precise and concrete specification of CMP message flows, there are also suggested extensions like the cmpRA key usage and the addition of a request-response root CA key update exchange instead of the announcement approach specified in RFC4210 Appendix E.4.

The addition of CoAP for CMP message transfer is one suggestion to extend the available transport mechanisms of CMP messages, but it is not the core of the draft. If this is too much for this document, it could also be carved out in a separate draft. But like RFC6712 (HTTP transfer for CMP), I would regard it as an update to RFC4210.

I hope this makes our thoughts and ideas clearer. Any further comments and suggestions are of course more than welcome.

Hendrik

> Von: Sean Turner <[email-masked]>
> Gesendet: Donnerstag, 14. März 2019 02:05
> An: Brockhaus, Hendrik (CT RDA ITS SEA-DE)
> <[email-masked]>
> Cc: [email-masked]
> Betreff: Re: [lamps] New Version Notification for draft-brockhaus-lamps-
> industrial-cmp-profile-00.txt
> 
> Hendrik,
> 
> Because this is aimed at "IoT scenarios” I guess I am confused as to how this
> relates to https://datatracker.ietf.org/doc/draft-ietf-ace-coap-est/, which is
> also aimed at constrained environments and completed WGLC in the ACE
> WG in January.
> 
> > Yesterday I submitted the initial draft on the lightweight industrial CMP
> profile I announced some weeks ago. At IETF 104 we want to introduce the
> draft during the LAMPS WG meeting.
> >
> > The main purpose of this draft is to ease the use of CMP in industrial and
> IoT use cases. Due to the complexity of RFC4210 and RFC4211 the draft
> specifies a concrete and more lightweight profile of CMP. Following
> standardization of industrial CMP profiles by 3GPP and UNISIG that already
> exist, the draft strives for standardization of a more general purpose
> industrial CMP profile focussing on automating certificate management in
> m2m and IoT environments.
> >
> > An: Fries, Steffen (CT RDA ITS) <[email-masked]>; Brockhaus,
> Hendrik (CT RDA ITS SEA-DE) <[email-masked]>; von
> Oheimb, David (CT RDA ITS SEA-DE) <[email-masked]>
> > Please note that it may take a couple of minutes from the time of
> submission until the htmlized version and diff are available at tools.ietf.org.
> >
> > The IETF Secretariat
> >